Overview | Package | Class
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.groovy.tools
Class FileSystemCompiler

Command-line compiler (aka. `groovyc`).

version:
  $Id: FileSystemCompiler.java 10917 2008-02-23 22:11:37Z paulk $

Field Summary
`CompilationUnit` | `unit`

Constructor Summary
`FileSystemCompiler(CompilerConfiguration configuration)`

Method Summary
`static int` | `checkFiles(def filenames)`
`void` | `compile(def paths)`
`void` | `compile(def files)`
`static File` | `createTempDir()`
`static void` | `displayHelp(Options options)`
`static void` | `displayVersion()`
`static void` | `main(def args)` Primary entry point for compiling from the command line (using the groovyc script).

Constructor Detail

### FileSystemCompiler

    public FileSystemCompiler(CompilerConfiguration configuration)

Method Detail

### checkFiles

    public static int checkFiles(def filenames)

### compile

    public void compile(def paths)

### compile

    public void compile(def files)

### createTempDir

    static File createTempDir()

### displayHelp

    public static void displayHelp(Options options)

### displayVersion

    public static void displayVersion()

### main

    public static void main(def args)

  Primary entry point for compiling from the command line (using the groovyc script).